PS_STRINGWIDTH(3)

      uwe@steinmann.cx
UWE STEINMANN 2003Uwe SteinmannApril 28, 2003;

NAME
PS_stringwidth — Get width of a string

SYNOPSIS

#include <pslib.h>

float PS_stringwidth(PSDoc *psdoc, const char *text, int fontid, float size)

DESCRIPTION

Calculates the width of a string in points if it was output
          in the given font and font size. This function needs an Adobe font
            metrics file to calculate the precise width. If kerning is turned on,
            it will be taken into account.

RETURN VALUE

Width of a string in points.

SEE ALSO

PS_stringwidth2(3), PS_string_geometry(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.